Public Member Functions | Public Attributes | List of all members
libebook::PluckerParserState Struct Reference

## Public Member Functions
| PluckerParserState ()

## Public Attributes
PluckerImageMap_t | m_imageMap
shared_ptr< MarkupParser > | markupParser
shared_ptr< EBOOKCharsetConverter > | charsetConverter
bool | knownEncoding
ExceptionalCharsetMap_t | exceptionalCharsetMap

## Constructor & Destructor Documentation

## ◆ PluckerParserState()

libebook::PluckerParserState::PluckerParserState | ( |  | ) |

## Member Data Documentation

## ◆ charsetConverter

shared_ptr<EBOOKCharsetConverter> libebook::PluckerParserState::charsetConverter

## ◆ exceptionalCharsetMap

ExceptionalCharsetMap_t libebook::PluckerParserState::exceptionalCharsetMap

## ◆ knownEncoding

bool libebook::PluckerParserState::knownEncoding

## ◆ m_imageMap

PluckerImageMap_t libebook::PluckerParserState::m_imageMap

## ◆ markupParser

shared_ptr<MarkupParser> libebook::PluckerParserState::markupParser

The documentation for this struct was generated from the following file:

- PluckerParser.cpp